Summary:	MATE mixer libraries
Summary(pl.UTF-8):	Biblioteki MATE do obsługi miksera
Name:		libmatemixer
Version:	1.26.0
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	https://pub.mate-desktop.org/releases/1.26/%{name}-%{version}.tar.xz
# Source0-md5:	0e8a7dcc8cce58175f209b99a5062cde
URL:		https://github.com/mate-desktop/libmatemixer
BuildRequires:	alsa-lib-devel >= 1.0.5
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.50.0
BuildRequires:	gtk-doc >= 1.10
BuildRequires:	libtool >= 2:2.2
BuildRequires:	mate-common >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel >= 5.0.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-devel
BuildRequires:	xz
Requires:	glib2 >= 1:2.50.0
# alsa module
Requires:	alsa-lib >= 1.0.5
# pulse module
Requires:	pulseaudio-libs >= 5.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libmatemixer is a mixer library for MATE desktop. It provides an
abstract API allowing access to mixer functionality available in the
PulseAudio, ALSA and OSS sound systems.

%description -l pl.UTF-8
libmatemixer to biblioteka MATE do obsługi miksera. Udostępnia
abstrakcyjne API pozwalające na dostęp do funkcji miksera dostępnych w
systemach dźwięku PulseAudio, ALSA i OSS.

%package devel
Summary:	Development files for libmatemixer library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libmatemixer
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.50.0

%description devel
Development files for libmatemixer library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki libmatemixer.

%package apidocs
Summary:	API documentation for libmatemixer library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libmatemixer
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for libmatemixer library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libmatemixer.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	--enable-oss \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmatemixer.la \
	$RPM_BUILD_ROOT%{_libdir}/libmatemixer/*.la
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{frp,ie,jv,ku_IQ,pms}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libmatemixer.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmatemixer.so.0
%dir %{_libdir}/libmatemixer
%attr(755,root,root) %{_libdir}/libmatemixer/libmatemixer-alsa.so
%attr(755,root,root) %{_libdir}/libmatemixer/libmatemixer-null.so
%attr(755,root,root) %{_libdir}/libmatemixer/libmatemixer-oss.so
%attr(755,root,root) %{_libdir}/libmatemixer/libmatemixer-pulse.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmatemixer.so
%{_includedir}/mate-mixer
%{_pkgconfigdir}/libmatemixer.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libmatemixer
%changelog
* Mon Aug 23 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmatemixer.git;a=log;h=master

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> 7d8edd0
- up to 1.26.0

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> fdfd98e
- unconditional noarch subpackages

* Thu Aug 13 2020 Jan Palus <atler@pld-linux.org> 26a1950
- up to 1.24.1

* Mon Feb 10 2020 Jan Palus <atler@pld-linux.org> 1cd0783
- up to 1.24.0

* Mon Mar 18 2019 Jan Palus <atler@pld-linux.org> ab3a44e
- up to 1.22.0

* Wed Jun 13 2018 Jan Palus <atler@pld-linux.org> 713e253
- up to 1.20.1

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> d19eaac
- up to 1.20.0

* Wed Mar 15 2017 Jan Palus <atler@pld-linux.org> d24afa2
- up to 1.18.0

* Thu Sep 22 2016 Jan Palus <atler@pld-linux.org> 63a17db
- up to 1.16.0

* Sat Jul 16 2016 Jakub Bogusz <qboosh@pld-linux.org> e086b05
- versioned install time dependencies

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> 523dde1
- noarch apidocs

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> 80f4d29
- up to 1.14.0

* Mon Nov 30 2015 Jan Palus <atler@pld-linux.org> 866d9e9
- up to 1.12.1

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> c435d65
- up to 1.12.0

* Wed Apr 22 2015 Jakub Bogusz <qboosh@pld-linux.org> 9ebe23b
- new

